Bug 826459 - udisks USB disk mount fails, when KDE started from runlevel 3, using startx.
udisks USB disk mount fails, when KDE started from runlevel 3, using startx.
Status: CLOSED DUPLICATE of bug 820675
Product: Fedora
Classification: Fedora
Component: udisks (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:02 EDT by Robert Gadsdon
Modified: 2013-03-05 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 08:17:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Gadsdon 2012-05-30 05:02:25 EDT
Bug 82065 (Closed) refers to this problem, but the summary was not clear..

The summary - to reproduce this problem - is as follows:

If running KDE from KDM (graphical boot, runlevel 5) udisks and the KDE device notifier work correctly, and USB disks are recognized, and mounted.

If running KDE from # startx command, (non-graphical boot, runlevel 3) KDE device notifier recognises USB disk, but udisks mount fails, with ''Not Authorized'' error message.

It appears that the session is flagged as 'inactive' for the non-graphical boot (runlevel 3), and the rules in /usr/share/polkit-1/actions/org.freedesktop.udisks.policy then disallow the udisks USB disk mount..

The workaround is to manually edit the <allow-inactive> rules in /usr/share/polkit-1/actions/org.freedesktop.udisks.policy, but this is - obviously - not an ideal solution...

Preferred Solution:
The system should behave correctly for both runlevel 5 and runlevel 3 access, and allow USB disks to be mounted from a KDE session.    Many users choose to use the non-graphical boot, as it suits their workflow better..

kdelibs-4.8.3-1.fc17.x86_64
udisks-1.0.4-6.fc17.x86_64
kernel 3.3.7-1.fc17.x86_64
Comment 1 David Zeuthen 2012-05-31 08:17:08 EDT
Sounds like a dupe of bug 820675.

*** This bug has been marked as a duplicate of bug 820675 ***

Note You need to log in before you can comment on or make changes to this bug.